/// <reference types="react" />
export declare function extractIndex(str: any): string;
export declare function adjustColumnOrder(columns: any): any[];
export declare function setNestedValue(data: any, recordIndex: any, value: any): void;
export declare function extractIds(data: any): any[];
/**
 * 生成表格行唯一 key
 * @param record 当前行数据
 * @param key string | string[] 单字段或多字段
 */
export declare function getRowKey(record: any, key: string | string[]): any;
type UseBlockHeightOptions = {
    heightMode?: string;
    tableAreaRef: React.RefObject<HTMLDivElement>;
    deps?: React.DependencyList;
};
export declare const useBlockHeight: ({ heightMode, tableAreaRef, deps }: UseBlockHeightOptions) => number;
export {};
